import 'package:farmer_client/widgets/layout/BasicPage.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../widgets/NullCard.dart';

class SearchPage extends BasicPage {

  @override
  Widget builder(BuildContext context) {
    naviTitle = '搜索';
    return Container(

        child: Column(children: [
          Container(
            width: 345.w,
            height: 34.h,
            margin: EdgeInsets.symmetric(vertical: 15.h, horizontal: 15.w),
            padding: EdgeInsets.symmetric(vertical: 0, horizontal: 10.w),
            decoration: BoxDecoration(
                color: Color(0xFFf8f8f8),
                borderRadius: BorderRadius.all(Radius.circular(17.w))),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Image.asset(
                  'images/icons/search.png',
                  width: 15.w,
                  height: 15.w,
                ),
                Container(
                  width: 300.w,
                  margin: EdgeInsets.fromLTRB(5.w, 0, 0, 0),
                  child: TextField(
                    style: TextStyle(fontSize: 14.sp),
                    decoration: const InputDecoration(
                      isCollapsed: true,
                      hintText: '搜索关键字查询',
                      border: InputBorder.none,
                      counterText: '', //去掉计数
                      floatingLabelBehavior: FloatingLabelBehavior.never,
                    ),
                    onChanged: (e) {
                      print(999);
                    },
                  ),
                ),
              ],
            ),
          ),
          Column(
            children: [
              NullCard(text: '暂无农机信息'),
            ],
          )
        ]));
  }
}
